# Plant Monitor

esphome.io based plant monitoring.

# SparkFun Qwiic + Chirp Soil Sensor

## Hardware / Bill Of Materials

| Quantity | Hardware                                | Product Page                                                                              |
| -------- | --------------------------------------- | ----------------------------------------------------------------------------------------- |
| 1        | SparkFun Thing Plus - ESP32 WROOM       | https://www.sparkfun.com/products/14689                                                   |
| 1        | SparkFun Qwiic Mux Breakout - 8 Channel | https://www.sparkfun.com/products/14685                                                   |
| 8        | SparkFun Qwiic Adapter                  | https://www.sparkfun.com/products/14495                                                   |
| 1        | Qwiic Cable - 50mm                      | https://www.sparkfun.com/products/14426                                                   |
| 8        | Qwiic Cable - 500mm                     | https://www.sparkfun.com/products/14429                                                   |
| 1        | Waveshare 2.9" tri-color e-ink display  | https://www.waveshare.com/product/modules/oleds-lcds/e-paper/2.9inch-e-paper-module-b.htm |
| 1        | 18650 Battery Holder                    | https://www.sparkfun.com/products/12899                                                   |
| 15       | 4 pin 2.54mm pitch screw terminals      | N/A                                                                                       |

## Software

- [https://github.com/esphome/esphome/blob/dev/esphome/components/bmp280/bmp280.h](https://github.com/esphome/esphome/blob/dev/esphome/components/bmp280/bmp280.h)
- [https://learn.sparkfun.com/tutorials/esp32-thing-plus-hookup-guide](https://learn.sparkfun.com/tutorials/esp32-thing-plus-hookup-guide)
- [https://learn.sparkfun.com/tutorials/qwiic-mux-hookup-guide](https://learn.sparkfun.com/tutorials/qwiic-mux-hookup-guide)
- [http://docs.platformio.org/en/latest/boards/espressif32/esp32thing.html](http://docs.platformio.org/en/latest/boards/espressif32/esp32thing.html)
- [https://esphome.io/components/esphome.html](https://esphome.io/components/esphome.html)
- [https://esphome.io/components/time.html](https://esphome.io/components/time.html)
- [https://esphome.io/devices/esp32.html](https://esphome.io/devices/esp32.html)
- [https://esphome.io/components/wifi.html](https://esphome.io/components/wifi.html)
- [https://esphome.io/components/ota.html](https://esphome.io/components/ota.html)
- [https://esphome.io/components/deep_sleep.html](https://esphome.io/components/deep_sleep.html)
- [https://esphome.io/components/sensor/wifi_signal.html](https://esphome.io/components/sensor/wifi_signal.html)
- [https://esphome.io/components/sensor/uptime.html](https://esphome.io/components/sensor/uptime.html)
- [https://esphome.io/components/display/waveshare_epaper.html](https://esphome.io/components/display/waveshare_epaper.html)
- [https://esphome.io/components/sensor/dallas.html](https://esphome.io/components/sensor/dallas.html)
- [https://esphome.io/components/sensor/custom.html](https://esphome.io/components/sensor/custom.html)
- [https://esphome.io/components/i2c.html](https://esphome.io/components/i2c.html)
- [https://esphome.io/components/sensor/index.html](https://esphome.io/components/sensor/index.html)
- [https://github.com/ageir/chirp-rpi](https://github.com/ageir/chirp-rpi)
- [https://github.com/Miceuz/i2c-moisture-sensor/blob/master/README.md](https://github.com/Miceuz/i2c-moisture-sensor/blob/master/README.md)
- [https://github.com/Apollon77/I2CSoilMoistureSensor](https://github.com/Apollon77/I2CSoilMoistureSensor)

## Future Hardware

- [https://www.adafruit.com/product/3931](https://www.adafruit.com/product/3931)
- [https://www.adafruit.com/product/3258](https://www.adafruit.com/product/3258)
- [https://www.adafruit.com/product/2142](https://www.adafruit.com/product/2142)
- [https://www.adafruit.com/product/2135](https://www.adafruit.com/product/2135)
- [https://www.adafruit.com/product/3931](https://www.adafruit.com/product/3931)
- [https://www.adafruit.com/product/3258](https://www.adafruit.com/product/3258)
- [https://www.tindie.com/products/miceuz/i2c-soil-moisture-sensor/](https://www.tindie.com/products/miceuz/i2c-soil-moisture-sensor/)
